Subject: Re: [PATCH net-next v3] r8169: Use napi_schedule_irqoff()

From: Jakub Kicinski <[email-masked]>
Date: Sun, 12 Apr 2026 17:06:47 -0700

On Sun, 12 Apr 2026 19:29:14 -0400 Matt Vollrath wrote:
> napi_schedule() masks hard interrupts while doing its work, which is
> redundant when called from an interrupt handler where hard interrupts
> are already masked. Use napi_schedule_irqoff() instead to bypass this
> redundant masking. This is an optimization.

Linus tagged final v7.0, net-next is closed. See for more information:
https://www.kernel.org/doc/html/next/process/maintainer-netdev.html